"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CodigoQrnew = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireDefault(require("react"));
var _reactNativeVisionCamera = require("react-native-vision-camera");
var _native = require("@react-navigation/native");
var _reactNativeSvg = require("react-native-svg");
var _visionCameraCodeScanner = require("vision-camera-code-scanner");
var _reactNativeReanimated = require("react-native-reanimated");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CodigoQrnew = () => {
  const [hasPermission, setHasPermission] = _react.default.useState(false);
  const devices = (0, _reactNativeVisionCamera.useCameraDevices)();
  const device = devices.back;
  const navigate = (0, _native.useNavigation)();
  const [frameWidth] = _react.default.useState(1280);
  const [frameHeight] = _react.default.useState(720);
  const scanRegion = {
    left: 5,
    top: 20,
    width: 90,
    height: 50
  };
  const frameProcessor = (0, _reactNativeVisionCamera.useFrameProcessor)(frame => {
    'worklet';

    let dataJson = null;
    const detectedBarcodes = (0, _visionCameraCodeScanner.scanBarcodes)(frame, [_visionCameraCodeScanner.BarcodeFormat.QR_CODE], {
      checkInverted: true
    });
    if (detectedBarcodes.length > 0) {
      const data = detectedBarcodes[0].content.data;
      try {
        dataJson = JSON.parse(data);
      } catch (e) {
        dataJson = data;
      }
      (0, _reactNativeReanimated.runOnJS)(_reactNative.Vibration.vibrate)(100);
      if (typeof dataJson === 'object' && dataJson.hasOwnProperty('valor')) {
        (0, _reactNativeReanimated.runOnJS)(navigate.navigate)('DatosBancarios', {
          data: data
        });
      }
      console.log("no contiene los datos");
    }
  }, []);
  _react.default.useEffect(() => {
    (async () => {
      const status = await _reactNativeVisionCamera.Camera.requestCameraPermission();
      setHasPermission(status === 'authorized');
    })();
  }, []);
  const getViewBox = () => {
    const frameSize = getFrameSize();
    const viewBox = "0 0 " + frameSize.width + " " + frameSize.height;
    return viewBox;
  };
  const getFrameSize = () => {
    let width, height;
    if (HasRotation()) {
      width = frameHeight;
      height = frameWidth;
    } else {
      width = frameWidth;
      height = frameHeight;
    }
    return {
      width: width,
      height: height
    };
  };
  const HasRotation = () => {
    let value = false;
    if (_reactNative.Platform.OS === 'android') {
      if (!(frameWidth > frameHeight && _reactNative.Dimensions.get('window').width > _reactNative.Dimensions.get('window').height)) {
        value = true;
      }
    }
    return value;
  };
  return device != null && hasPermission && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNativeVisionCamera.Camera, {
    style: _reactNative.StyleSheet.absoluteFill,
    device: device,
    isActive: true,
    frameProcessor: frameProcessor,
    frameProcessorFps: 5
  }), /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, {
    preserveAspectRatio: "xMidYMid slice",
    style: _reactNative.StyleSheet.absoluteFill,
    viewBox: getViewBox()
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Rect, {
    x: scanRegion.left / 100 * getFrameSize().width,
    y: scanRegion.top / 100 * getFrameSize().height,
    width: scanRegion.width / 100 * getFrameSize().width,
    height: scanRegion.height / 100 * getFrameSize().height,
    fill: "none",
    strokeWidth: "2",
    stroke: "green"
  })));
};
exports.CodigoQrnew = CodigoQrnew;
//# sourceMappingURL=COdigoQrnew.js.map