"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sendTransaccion = void 0;
var _axios = _interopRequireDefault(require("axios"));
var _reactUuid = _interopRequireDefault(require("react-uuid"));
var _encript = require("../utility/encript");
var _validateJwt = require("../hooks/validateJwt");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const getHeaders = data => {
  const uid = (0, _reactUuid.default)();
  const sign = new _encript.Sign(data, "https://api-test.pichincha.com/payment-execution/v2/direct-transfers", uid);
  const XApigeeCredentials = "ZkdlUk5HYXFtMFdKQ2ZtdG85a25hUFNSNWVhRDlBaG86dVNjR2ZkeGg1VlRMZElPeA==";
  const signature = sign.getSignature();
  const headers = {
    "X-Apigee-Credentials": XApigeeCredentials,
    "X-Device-IP": "200.10.89.34",
    "X-Guid": uid,
    "X-Device": "29xp3L6xJCaTSmWsQHsIsIqiyoU7Z0Az+EfYl2Bq5e0=",
    "X-Session": "3e80ddc9-29fb-4c99-b82e-403287fe4ce5",
    "X-Signature": signature
  };
  return headers;
};
const sendTransaccion = async (token, datas) => {
  try {
    const tokenvalidate = await (0, _validateJwt.validateJwt)(token);
    if (tokenvalidate && tokenvalidate.validate) {
      const headers = getHeaders(datas);
      console.log(datas);
      const response = await _axios.default.post("https://api-test.pichincha.com/payment-execution/v2/direct-transfers", datas, {
        headers: headers
      });
      return response;
    } else {
      throw new Error("Token invalido no se puede realizar la transaccion");
    }
  } catch (err) {
    throw new Error("no es valido");
  }
};
exports.sendTransaccion = sendTransaccion;
//# sourceMappingURL=sendTransaccion.js.map